%global pkgname cookiecutter

Name:           python-cookiecutter
Version:        2.1.1
Release:        %mkrel 1
Summary:        CLI utility to create projects from templates
Group:          Development/Python
License:        BSD
URL:            https://github.com/cookiecutter/cookiecutter
Source0:        https://github.com/cookiecutter/%{pkgname}/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python3-arrow
BuildRequires:  python3-binaryornot
BuildRequires:  python3-click
BuildRequires:  python3-devel
BuildRequires:  python3-freezegun
BuildRequires:  python3-future
BuildRequires:  python3-jinja2
BuildRequires:  python3-jinja2-time
BuildRequires:  python3-poyo
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-catchlog
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-recommonmark
BuildRequires:  python3-slugify
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-click
BuildRequires:  python3-sphinx_rtd_theme

%description
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%package     -n python-%{pkgname}-doc
Summary: Documentation for %{pkgname}

%description -n python-%{pkgname}-doc
Documentation for %{pkgname}

%package     -n python3-%{pkgname}
Summary: %{summary}
Recommends: python-%{pkgname}-doc
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%prep
%autosetup -n %{pkgname}-%{version} -p1

# fix invocation of /usr/bin/python
sed -i 's#python -c#%{__python3} -c#' Makefile

%build
%py3_build

# make sphinx docs
make docs
# rm -rf docs/_build/html/.buildinfo

%install
%py3_install

%check
# %%{__python3} setup.py test
%{python3} -m pytest tests -v || true

%files -n python3-%{pkgname}
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/%{pkgname}

%files -n python-%{pkgname}-doc
%license LICENSE
%doc docs


%changelog
* Tue Jul 05 2022 papoteur <papoteur> 2.1.1-1.mga9
+ Revision: 1867776
- new 2.1.1 mga#30570

* Fri Apr 01 2022 umeabot <umeabot> 1.7.3-3.mga9
+ Revision: 1838270
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 1.7.3-2.mga9
+ Revision: 1787001
- Rebuild for python-3.10

* Fri Aug 20 2021 wally <wally> 1.7.3-1.mga9
+ Revision: 1742025
- new version 1.7.3

* Sun Apr 18 2021 daviddavid <daviddavid> 1.7.2-2.mga9
+ Revision: 1716680
- rebuild for python 3.9

* Tue Aug 25 2020 shlomif <shlomif> 1.7.2-1.mga8
+ Revision: 1618928
- New version 1.7.2; synced with fedora rawhide - thanks!

* Sun Feb 16 2020 umeabot <umeabot> 1.6.0-7.mga8
+ Revision: 1535573
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.6.0-6.mga8
+ Revision: 1452127
- rebuild with python 3.8

* Sun Aug 18 2019 wally <wally> 1.6.0-5.mga8
+ Revision: 1429663
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.6.0-4.mga7
+ Revision: 1350918
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.0-3.mga7
+ Revision: 1288549
- Mageia 7 Mass Rebuild

* Thu May 03 2018 shlomif <shlomif> 1.6.0-2.mga7
+ Revision: 1225848
- add provides

* Tue May 01 2018 shlomif <shlomif> 1.6.0-1.mga7
+ Revision: 1224280
- build fixes
- Importing based on Fedora


* Tue Apr  3 2018 Brett Lentz <brett.lentz@gmail.com> - 1.6.0-2
- fix deps

* Thu Mar  1 2018 Brett Lentz <brett.lentz@gmail.com> - 1.6.0-1
- initial packaging
